#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libgee-0.20.8

- Next

  libgweather-4.4.4

- Up
- Home

# libgtop-2.41.3

## Introduction to libgtop

The libgtop package contains the GNOME top libraries.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libgtop/2.41/libgtop-2.41.3.tar.xz

- Download MD5 sum: 465db9f4f695c298d9c48dcf7f32a9c0

- Download size: 740 KB

- Estimated disk space required: 19 MB

- Estimated build time: 0.2 SBU

### libgtop Dependencies

#### Required

GLib-2.82.5 (GObject Introspection recommended) and Xorg Libraries

#### Optional

GTK-Doc-1.34.0

## Installation of libgtop

Install libgtop by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: libgtop_daemon2 and libgtop_server2
Installed Library: libgtop-2.0.so
Installed Directories: /usr/include/libgtop-2.0 and /usr/share/gtk-doc/html/libgtop

### Short Descriptions

`libgtop-2.0.so` | contains functions that allow access to system performance data

- Prev

  libgee-0.20.8

- Next

  libgweather-4.4.4

- Up
- Home